FruxonDocs
AgentsHistory

Gets the change history for an agent.

Returns a chronological list of all changes made to the agent, including configuration updates, deployments, and metadata changes.

GET
/v1/tenants/{tenant}/agents/{agent}/history

Path Parameters

agent*string

The unique identifier of the agent.

tenant*string

The tenant identifier

Query Parameters

PageSize?integer
Formatint32
PageToken.Skip?integer
Formatint32

Response Body

curl -X GET "https://api.fruxon.com/v1/tenants/string/agents/string/history"
{
  "items": [
    {
      "agentId": "string",
      "agentRevision": 0,
      "comment": "string",
      "createdAt": 0,
      "createdBy": "string"
    }
  ],
  "nextPageToken": "string"
}
Empty
Empty
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}